Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IBandContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContainerContent, IContent, IElement, IStyledElement

All Known Subinterfaces:
  IListBandContent, ITableBandContent

    public interface IBandContent

extends IContainerContent

Provides the interface for the Band Content. All types of bands for table, group, list, such as table-header/detail/footer, group-header/detail/footer, list-header/detail/footer, are implemented as instances of this class.

The following types for the band content are predefined:

- `BAND_HEADER`
- `BAND_FOOTER`
- `GROUP_HEADER`
- `GROUP_FOOTER`
- `BAND_DETAIL`

Field Summary
`static int` | `BAND_DETAIL`
`static int` | `BAND_FOOTER`
`static int` | `BAND_GROUP_FOOTER`
`static int` | `BAND_GROUP_HEADER`
`static int` | `BAND_HEADER`

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`int` | `getBandType()` Get the type of the band content.
`java.lang.String` | `getGroupID()` Get the group id if the band content is in some group.
`void` | `setBandType(int bandType)` Set the type of the band content.

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Field Detail

### BAND_HEADER

    static final int BAND_HEADER

See Also:
  Constant Field Values

### BAND_FOOTER

    static final int BAND_FOOTER

See Also:
  Constant Field Values

### BAND_GROUP_HEADER

    static final int BAND_GROUP_HEADER

See Also:
  Constant Field Values

### BAND_GROUP_FOOTER

    static final int BAND_GROUP_FOOTER

See Also:
  Constant Field Values

### BAND_DETAIL

    static final int BAND_DETAIL

See Also:
  Constant Field Values

Method Detail

### getBandType

    int getBandType()

  Get the type of the band content. The return result of this method is in `int` format, and the `int` value must be one of the following predefined values in class `IBandContent`:
  - `BAND_HEADER`
  - `BAND_FOOTER`
  - `GROUP_HEADER`
  - `GROUP_FOOTER`
  - `BAND_DETAIL`

  Returns:
    type of the band content.

### setBandType

    void setBandType(int bandType)

  Set the type of the band content. The value of parameter `bandType` must be one of the following predefined values in class `IBandContent`:
  - `BAND_HEADER`
  - `BAND_FOOTER`
  - `GROUP_HEADER`
  - `GROUP_FOOTER`
  - `BAND_DETAIL`

  Parameters:
    `bandType` - the type of the band content.

### getGroupID

    java.lang.String getGroupID()

  Get the group id if the band content is in some group. This method will return `null` when the band content is not a group header and group footer.

  Returns:
    the group id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.